Option Compare Database

' with references:
' Visual Basic for Applications
' Microsoft Access 14.0 Object Library
' Microsoft Office Runtime 1.0 Type Library
' Microsoft Office 14.0 Access Database engine object
' Microsoft ActiveX Data Object 2.8 Library
' Microsoft Scipring Runtime
' Microsoft ADO Ext 6.0 for DDL and Security


Public Sub TestModule()

    Dim rs As DAO.Recordset
    
    Set rs = CurrentDb.OpenRecordset("TableWithData", dbOpenSnapshot)
    
    rs.MoveFirst
    Do Until rs.EOF
    
        Debug.Print rs![param], rs![key]
    
        rs.MoveNext
    Loop

End Sub